# HIP Documentation

HIP is a C++ runtime API and kernel language that allows developers to create
portable applications for AMD and NVIDIA GPUs from single source code.

## Overview

::::{grid} 1 1 2 2
:gutter: 1

:::{grid-item-card} User Guide
- {doc}`/user_guide/programming_manual`
- {doc}`/user_guide/hip_rtc`
- {doc}`/user_guide/faq`
:::

:::{grid-item-card} How to Guides
- {doc}`/how_to_guides/install`
- {doc}`/how_to_guides/debugging`
:::

:::{grid-item-card} Reference
- {doc}`/.doxygen/docBin/html/index`
  - {doc}`/.doxygen/docBin/html/modules`
- {doc}`/reference/kernel_language`
- {doc}`/reference/math_api`
- {doc}`/reference/terms`
- {doc}`/reference/deprecated_api_list`
:::

:::{grid-item-card} Developer Guide
- {doc}`/developer_guide/build`
- {doc}`/developer_guide/logging`
- {doc}`/developer_guide/contributing`
:::

::::